Jerrica Johnson

Joined

60 Experience
0 Lessons Completed
0 Questions Solved

Activity

Posted in Setup Errors for Rails on MacOS 10.14 Mojave

Hello! Thanks for the response. I'm inputting that into the terminal. It keeps saying 'unknown command bootsnap'.

Posted in Setup Errors for Rails on MacOS 10.14 Mojave

Hello everyone!
I have already installed Ruby Environment, but each time I try to install Rails on MacOS, it's giving me the following errors:
Jerricas-MacBook-Pro:test_app jerricajohnson$ rails -v
Traceback (most recent call last):
15: from bin/rails:3:in <main>'
14: from bin/rails:3:in
load'
13: from /Users/jerricajohnson/test_app/bin/spring:15:in <top (required)>'
12: from /Users/jerricajohnson/.rbenv/versions/2.6.1/lib/ruby/2.6.0/rubygems/core_ext/kernel_require.rb:65:in
require'
11: from /Users/jerricajohnson/.rbenv/versions/2.6.1/lib/ruby/2.6.0/rubygems/core_ext/kernel_require.rb:65:in require'
10: from /Users/jerricajohnson/.rbenv/versions/2.6.1/lib/ruby/gems/2.6.0/gems/spring-2.0.2/lib/spring/binstub.rb:31:in
'
9: from /Users/jerricajohnson/.rbenv/versions/2.6.1/lib/ruby/gems/2.6.0/gems/spring-2.0.2/lib/spring/binstub.rb:31:in load'
8: from /Users/jerricajohnson/.rbenv/versions/2.6.1/lib/ruby/gems/2.6.0/gems/spring-2.0.2/bin/spring:49:in
'
7: from /Users/jerricajohnson/.rbenv/versions/2.6.1/lib/ruby/gems/2.6.0/gems/spring-2.0.2/lib/spring/client.rb:30:in run'
6: from /Users/jerricajohnson/.rbenv/versions/2.6.1/lib/ruby/gems/2.6.0/gems/spring-2.0.2/lib/spring/client/command.rb:7:in
call'
5: from /Users/jerricajohnson/.rbenv/versions/2.6.1/lib/ruby/gems/2.6.0/gems/spring-2.0.2/lib/spring/client/rails.rb:28:in call'
4: from /Users/jerricajohnson/.rbenv/versions/2.6.1/lib/ruby/gems/2.6.0/gems/spring-2.0.2/lib/spring/client/rails.rb:28:in
load'
3: from /Users/jerricajohnson/test_app/bin/rails:8:in <top (required)>'
2: from /Users/jerricajohnson/test_app/bin/rails:8:in
require_relative'
1: from /Users/jerricajohnson/test_app/config/boot.rb:4:in <top (required)>'
/Users/jerricajohnson/test_app/config/boot.rb:4:in
require': cannot load such file -- bootsnap/setup (LoadError)

Does anyone know what this means? I'm pretty new to the coding game.

logo Created with Sketch.

Screencast tutorials to help you learn Ruby on Rails, Javascript, Hotwire, Turbo, Stimulus.js, PostgreSQL, MySQL, Ubuntu, and more. Icons by Icons8

© 2022 GoRails, LLC. All rights reserved.